Bug 199631 - cups not working for smb shared printers.
cups not working for smb shared printers.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-20 16:41 EDT by Darwin H. Webb
Modified: 2013-01-13 09:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:20:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
f7-rc2cupssharedwindowsprinter.txt (20.49 KB, text/plain)
2007-05-28 19:16 EDT, Darwin H. Webb
no flags Details
copy of audit.log (408.44 KB, text/plain)
2007-06-04 15:46 EDT, Darwin H. Webb
no flags Details

  None (edit)
Description Darwin H. Webb 2006-07-20 16:41:59 EDT
Description of problem:
Gnome printer gui has regressed again to NOT show SMB for windows shared
printers. It will not accept OTHER or ipp, to create an SMB printer.


Version-Release number of selected component (if applicable):
system-config-printer-0.7.22-1.1 and cups-1.2.1-19 are working.
Newer versions of cups-1.2.1-21 is NOT working.
Can NOT change /etc/cups/printer.conf directly to make it work.
gui will change it back or error out.

How reproducible:
Always

Steps to Reproduce:
1. System , Admn, printers = no smb printer setup.
2.
3.
  
Actual results:
If ipp used (does not know it is an smb and no user or password created in
printer.conf.)
If OTHER with smb://username:passwd@//host.peintername is used creates it as if
it were working but test print ends gui or no printer is transferred accross
net. Could be rejected by user:password not in printer.conf or because it
doesn't know it is smb?)


Expected results:
Select smb windows share type from gui,
fill in the host print username passwd, click apply to build printer queue.
enable, set to default, click test print to verify.

Yes, the the post are open.

Additional info:
Working system - Pent III FC6T1+
NON working - FC^t1 + updates to July 20th

Printer is HP Laserjet 6p

Driver ifno is diverent also, recommended for working system is fomattic hp
for non working system recommend is gimp
Comment 1 Tim Waugh 2006-07-21 06:32:44 EDT
This form:

  smb://username:passwd@//host.printername

is not right at all for an SMB URI, and never has been to my knowledge.  The
correct form is:

  smb://[username:password@][workgroup/]server[:port]/printer

with parts in [brackets] being optional.

However, you should be able to browse the available printers from
system-config-printer.  Tell me what happens when you click 'New', 'Next', and
then select 'Windows Printer via SAMBA'.  Are no domains shown in the list?
Comment 2 Matthew Miller 2007-04-06 12:31:23 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 3 Darwin H. Webb 2007-04-06 16:49:18 EDT
As far as know this problem still exits for me.
I have not been able to print to a windows printer (HP Laserjet 6p b/w) since
the new print system was installed. 
I have not been able to get samba shares to work either.

I have not tried the printing in F7 in a month or so because I can not install
f7 (since t1) , not even net http or by tricks and hacks due to anaconda nad the
kernel.

I can set up the printer (test test print goes off to the local queue and never
ends or times out.) The log show the access denied from the windows P/C (Win Xp
pro classical security) Since then samba has changed several times and I don't
understand it anymore. I will not be able to test much for several weeks due to
moving.

thanks

Darwin
Comment 4 Darwin H. Webb 2007-05-28 19:16:07 EDT
Created attachment 155567 [details]
f7-rc2cupssharedwindowsprinter.txt

f7-rc2 freash install

Windows shared print built ok except for dri is changed to meaningless junk of
//../localhost/WORKGROUP and greyed out. However it seems to be ok in the
actual usagage in the log records.

SELinux not defined for many /tmp files for CUPS and there is no boolean for
cups to turn it off nor any command to use to set a correct policy.

The print test job does NOT authorize against Windows NT

/var/log/cups/error_log meassage are attachached and a pix of the displays are
at  http://www.fedoraforum.org/gallery/showimage.php?i=3204
Comment 5 Tim Waugh 2007-05-29 05:13:32 EDT
Darwin: what is the actual bug?  The SELinux messages?  They are being triggered
by smbspool which is part of the samba package -- please file a separate bug
report against that.
Comment 6 Darwin H. Webb 2007-05-29 12:30:01 EDT
I don't know what the bug is. I only get symptoms and it does NOT print.


The cups system uses /tmp dir's that do not have policy for them.
That needs to be cleaned up by the SELinux guy but you need to tell him what and
why you are creating dir's under smbspool or he would not be able to code the
policy.

Since it is a printer on Windows, of course samaba is involved but the only
error is in the cups log as:

CUPS-Add-Modify-Printer: Unauthorized
I [26/May/2007:14:12:15 -0700] Setting HPLaserJ.2 device-uri to "smb://WORKGROUP
100/URANUS-37/HPLaserJ.2" (was "file:/dev/null".)
I [26/May/2007:14:12:21 -0700] Saving printers.conf...
I [26/May/2007:14:12:21 -0700] New printer "HPLaserJ.2" added by "root".
I [26/May/2007:14:12:21 -0700] Saving printers.conf...
I [26/May/2007:14:12:21 -0700] Printer "HPLaserJ.2" started by "root".
I [26/May/2007:14:12:21 -0700] Saving printers.conf...
I [26/May/2007:14:12:21 -0700] Printer "HPLaserJ.2" now accepting jobs ("root").
I [26/May/2007:14:12:21 -0700] Saving printers.conf...
I [26/May/2007:14:12:21 -0700] Printer "HPLaserJ.2" modified by "root".
I [26/May/2007:14:12:21 -0700] Saving printers.conf...
I [26/May/2007:14:12:21 -0700] Printer "HPLaserJ.2" modified by "root".
E [26/May/2007:14:14:10 -0700] cupsdAuthorize: Local authentication certificate
not found!
E [26/May/2007:14:14:10 -0700] CUPS-Set-Default: Unauthorized
I [26/May/2007:14:14:10 -0700] Saving printers.conf...
I [26/May/2007:14:14:10 -0700] Saving classes.conf...
I [26/May/2007:14:14:10 -0700] Default destination set to "HPLaserJ.2" by "root".
I [26/May/2007:14:14:16 -0700] Adding start banner page "none" to job 1.
I [26/May/2007:14:14:16 -0700] Adding end banner page "none" to job 1.
I [26/May/2007:14:14:16 -0700] Job 1 queued on "HPLaserJ.2" by "root".
I [26/May/2007:14:14:16 -0700] Started filter /usr/lib/cups/filter/pstops (PID
3245) for job 1.
I [26/May/2007:14:14:16 -0700] Started filter /usr/lib/cups/filter/foomatic-rip
(PID 3246) for job 1.
I [26/May/2007:14:14:16 -0700] Started backend /usr/lib/cups/backend/smb (PID
3247) for job 1.
E [26/May/2007:14:14:16 -0700] [Job 1] Session setup failed: NT_STATUS_LOGON_FAILURE
E [26/May/2007:14:14:16 -0700] [Job 1] No ticket cache found for userid=0
E [26/May/2007:14:14:16 -0700] [Job 1] Can not get the ticket cache for root
E [26/May/2007:14:14:16 -0700] [Job 1] Session setup failed: NT_STATUS_LOGON_FAILURE
E [26/May/2007:14:14:16 -0700] [Job 1] Tree connect failed (NT_STATUS_ACCESS_DENIED)
E [26/May/2007:14:14:16 -0700] [Job 1] Unable to connect to CIFS host, will
retry in 60 seconds...

Just route a copy to the other two and figure it out together because there is
nothing I can do here. 

thank you,

Darwin
Comment 7 Daniel Walsh 2007-06-04 15:17:29 EDT
I am very confused.  Please attach you /var/log/audit/audit.log to this bugzilla.

Comment 8 Darwin H. Webb 2007-06-04 15:46:19 EDT
Created attachment 156113 [details]
copy of audit.log
Comment 9 Darwin H. Webb 2007-06-24 12:51:12 EDT
Latest status.

Running F7 with all updates and test-updates.

Ran
grep cups /var/log/audit/audit.log | audit2allow -M mycups
semodule -i mycups.pp

Opened gui print setup
selected printer
clicked on test print
Job 10 submiited.
nothing happened.
canceled test print.

Tail -n 20 /var/log/messages
zzzz

tail -n 20 /var/log/audit/audit.log
zzzz

cat /var/cups/error.log
I [24/Jun/2007:09:18:15 -0400] Adding start banner page "none" to job 10.
I [24/Jun/2007:09:18:15 -0400] Adding end banner page "none" to job 10.
I [24/Jun/2007:09:18:15 -0400] Job 10 queued on "HPLaserJ.2" by "root".
I [24/Jun/2007:09:18:15 -0400] Started filter /usr/lib/cups/filter/pstops (PID
9962) for job 10.
I [24/Jun/2007:09:18:15 -0400] Started filter /usr/lib/cups/filter/foomatic-rip
(PID 9963) for job 10.
I [24/Jun/2007:09:18:15 -0400] Started backend /usr/lib/cups/backend/smb (PID
9964) for job 10.
E [24/Jun/2007:09:18:16 -0400] [Job 10] Session setup failed:
NT_STATUS_LOGON_FAILURE
E [24/Jun/2007:09:18:16 -0400] [Job 10] No ticket cache found for userid=0
E [24/Jun/2007:09:18:16 -0400] [Job 10] Can not get the ticket cache for root
E [24/Jun/2007:09:18:16 -0400] [Job 10] Session setup failed:
NT_STATUS_LOGON_FAILURE
E [24/Jun/2007:09:18:16 -0400] [Job 10] Tree connect failed
(NT_STATUS_ACCESS_DENIED)
E [24/Jun/2007:09:18:16 -0400] [Job 10] Unable to connect to CIFS host, will
retry in 60 seconds...
I [24/Jun/2007:09:19:03 -0400] Job 10 was canceled by "root".


Looks like the same original problem less SELinux blocking.
And 3 Samba updates.


Darwin
Comment 10 Tim Waugh 2007-06-25 11:25:51 EDT
The problem is with the 'smb' backend, which is part of the samba package. 
Changing component and reassigning.
Comment 11 Simo Sorce 2007-06-25 11:35:44 EDT
To me it seem just a configuration problem.
smbspool is being denied access, it seem that the proper credentials to connect
to the remote machine have not been provided.

Can you manually run smbspool with the uri in the cups config file and see if
that works?
Comment 12 Darwin H. Webb 2007-06-25 14:51:36 EDT
I think it the smb backend also.

I varified my Windows security settings.  [OK}
I tried smbspool from the cli
  a) Exact same uri as in cups and same as on gui interface that says url path
is accesable.
  b) No matter what form of smbsppol is says file not found. (even when I
created a .txt file with grep and passed the file to smbspool.
cups]# grep cups /var/log/audit/audit.log > thiscupsprint.txt
[root@Ruthie-07 cups]# smb://'Darwin H.Webb':*****@'WORKGROUP
100'/URANUS-37:631/HPLaserJ.2 < thiscupsprint.txt
-bash: smb://Darwin H.Webb:****d@WORKGROUP 100/URANUS-37:631/HPLaserJ.2: No such
file or directory

c) and ping the windows box
[root@Ruthie-07 cups]# ping URANUS-37
PING URANUS-37.WinProxy (90.0.0.1) 56(84) bytes of data.
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=1 ttl=128 time=0.241 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=2 ttl=128 time=0.234 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=3 ttl=128 time=0.249 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=4 ttl=128 time=0.254 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=5 ttl=128 time=0.263 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=6 ttl=128 time=0.247 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=7 ttl=128 time=0.240 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=8 ttl=128 time=0.245 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=9 ttl=128 time=0.242 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=10 ttl=128 time=0.247 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=11 ttl=128 time=0.270 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=12 ttl=128 time=0.246 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=13 ttl=128 time=0.248 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=14 ttl=128 time=0.225 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=15 ttl=128 time=0.254 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=16 ttl=128 time=0.241 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=17 ttl=128 time=0.228 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=18 ttl=128 time=0.235 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=19 ttl=128 time=0.244 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=20 ttl=128 time=0.253 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=21 ttl=128 time=0.248 ms
64 bytes from URANUS-37.WINPROXY (90.0.0.1): icmp_seq=22 ttl=128 time=0.239 ms

--- URANUS-37.WinProxy ping statistics ---
22 packets transmitted, 22 received, 0% packet loss, time 21000ms
rtt min/avg/max/mdev = 0.225/0.245/0.270/0.013 ms


I then deleted the printer and recreated it.
Same results (except for a new avc message from py on the gui.

This is f7 install (with updates) and I could NOT find /tmp/smbspool in cups
anywhere. 

thank you,

Darwin
Comment 13 Simo Sorce 2007-11-23 14:57:12 EST
Darwin do you still experience this problem with latest F7 or F8 ?
Comment 14 Darwin H. Webb 2007-11-27 04:31:15 EST
I just finished printing from several apps for the first time in about a year on
a windows shred printer via samba.

Pent IV F8 - test print,firefox 3, gedit, gthumb viewer png
Pent III F9 - test print, gimp gutten print (full screen png @ 67%)

I only entered the server/printersharename and the user and password.

There is one minor problem.
When the printer setup was complete the tool quit.
When started again, it came up on the printer screen (which would have been next
anyway). This occurred on both computers.

thanks for all the effort. I'm thrilled. I may even try the samba sever again.
Might buy a new printer. :)

Darwin
Comment 15 Bug Zapper 2008-05-13 22:15:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Joe Rozner 2008-07-23 00:44:42 EDT
I'm still having the issue with samba shared printers not working in Fedora 9.
It's previously worked in Fedora 5, 6, 7, and 8 though when I upgraded to 9 I
have been unable to get it to work. I'm not getting any selinux issues but I am
getting the same problems with samba not being able to connect. I tried using
smbspool to manually send a print job and am getting the same issues.

livinded@faultline:~$ smbspool smb://VIDEO/CANON 1 Anonymous test 1 testfile
cli_start_connection: failed to connect to VIDEO<20> (0.0.0.0). Error
NT_STATUS_CONNECTION_REFUSED
ERROR: Connection failed: NT_STATUS_CONNECTION_REFUSED
cli_start_connection: failed to connect to VIDEO<20> (0.0.0.0). Error
NT_STATUS_CONNECTION_REFUSED
ERROR: Connection failed: NT_STATUS_CONNECTION_REFUSED
cli_start_connection: failed to connect to VIDEO<20> (0.0.0.0). Error
NT_STATUS_CONNECTION_REFUSED
ERROR: Connection failed: NT_STATUS_CONNECTION_REFUSED
ERROR: Unable to connect to CIFS host, will retry in 60 seconds...
Comment 17 Darwin H. Webb 2008-07-30 13:07:11 EDT
Samba windows shared printer is working for 
clean install of F9 Unity-respin and all updates.

smb://server/printsharename
(Windows username/password) to auth.

DW
Comment 18 Bug Zapper 2009-06-09 18:13:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2009-07-14 13:20:02 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.